psychopy.org | Reference | Downloads | Github

Pushing an experiment to pavlovia

Traceback (most recent call last):

File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 384, in _make_request

six.raise_from(e, None)

File “”, line 2, in raise_from

File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 380, in _make_request

httplib_response = conn.getresponse()

File “C:\Program Files\PsychoPy3\lib\http\client.py”, line 1331, in getresponse

response.begin()

File “C:\Program Files\PsychoPy3\lib\http\client.py”, line 297, in begin

version, status, reason = self._read_status()

File “C:\Program Files\PsychoPy3\lib\http\client.py”, line 258, in _read_status

line = str(self.fp.readline(_MAXLINE + 1), “iso-8859-1”)

File “C:\Program Files\PsychoPy3\lib\socket.py”, line 586, in readinto

return self._sock.recv_into(b)

File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\contrib\pyopenssl.py”, line 298, in recv_into

raise timeout(‘The read operation timed out’)

socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File “C:\Program Files\PsychoPy3\lib\site-packages\requests\adapters.py”, line 449, in send

timeout=timeout

File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 638, in urlopen

_stacktrace=sys.exc_info()[2])

File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\util\retry.py”, line 367, in increment

raise six.reraise(type(error), error, _stacktrace)

File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\packages\six.py”, line 686, in reraise

raise value

File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 600, in urlopen

chunked=chunked)

File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 386, in _make_request

self._raise_timeout(err=e, url=url, timeout_value=read_timeout)

File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 306, in _raise_timeout

raise ReadTimeoutError(self, url, “Read timed out. (read timeout=%s)” % timeout_value)

urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host=‘gitlab.pavlovia.org’, port=443): Read timed out. (read timeout=2)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app\pavlovia_ui\project.py”, line 146, in submitChanges

namespace=namespace)

File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\projects\pavlovia.py”, line 324, in createProject

gitlabProj = self.gitlab.projects.create(projDict)

File “C:\Program Files\PsychoPy3\lib\site-packages\gitlab\exceptions.py”, line 242, in wrapped_f

**return f(*args, kwargs)

File “C:\Program Files\PsychoPy3\lib\site-packages\gitlab\mixins.py”, line 204, in create

**kwargs)

File “C:\Program Files\PsychoPy3\lib\site-packages\gitlab_init_.py”, line 589, in http_post

**post_data=post_data, files=files, kwargs)

File “C:\Program Files\PsychoPy3\lib\site-packages\gitlab_init_.py”, line 472, in http_request

**result = self.session.send(prepped, timeout=timeout, settings)

File “C:\Program Files\PsychoPy3\lib\site-packages\requests\sessions.py”, line 646, in send

**r = adapter.send(request, kwargs)

File “C:\Program Files\PsychoPy3\lib\site-packages\requests\adapters.py”, line 529, in send

raise ReadTimeout(e, request=request)

requests.exceptions.ReadTimeout: HTTPSConnectionPool(host=‘gitlab.pavlovia.org’, port=443): Read timed out. (read timeout=2)

Description of the problem: error when trying to push to pavlovia. I already created an experiment. but I opened psychopy again and now it tells me I don’t have a project.

Hi There,

Please can I check that you are logged into pavlovia within your local psychopy?

Thanks,
Becca

yes :slight_smile:

and if you click on the far right globe icon that provides project info, then select browse local root and select the folder that contains your .git file - does that hook up your experiment to the expected pavlovia project?

When I select a local folder and then close the globe and open it again, the root I just added is not saved.

this is a video of the problem

Clicking on the red x in the top right means cancel whatever you just did.

but there is no other option to close the window

That box (which I don’t use but I might try) doesn’t seem to work for a new project.

Try clicking on the second globe (the right hand green on) instead of the fifth.

which one?
image

Number 2 counting from the left of the 5 you’ve shown.

But then it says that it doesn’t belong to any project. Thia is the problem

Doesn’t it give you an option to create new project?

No, it says re(create) a project

Say yes

I did. But when I close psychopy and open again it will ask me to recreate again

Hi Gal,

Please can I check in if you are still experiencing this problem?

If so please can I check the following:

  1. if the .psyexp file that you are currently working from saved to the same location as the .git folder location you are selecting when opening your project details?
  2. does the .psyexp file have the same name as the original project .psyexp file (if not then try to ensure the .psyexp file name always remains the same whilst syncing).
  3. This is a minor one but just in case, are you sure to save the .psyexp file once you have loaded the local root before syncing.

Let me know how you get on,
Thanks,
Becca